// Base
import * as base from './_crud-base'

const path = '/api/vclaim/v1/monitoring/hist'
const name = 'monitoring-history'

export function getList(params: any = null) {
  let url = path
  if (params && params?.cardNumber) {
    url += `/${params.cardNumber}/${params.startDate}/${params.endDate}`
    delete params.cardNumber
    delete params.startDate
    delete params.endDate
  }

  return base.getList(url, params, name)
}
